<?xml version='1.0' encoding='utf-8' ?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<title>Sphinx Documentation</title>
		<link type="text/css" rel="stylesheet" href="../book.css"/>
	</head>
	<body>
		<table class="navigation" style="width: 100%;" border="0" summary="navigation">
			<tr>
				<th style="width: 100%" align="center" colspan="3">Sphinx Documentation</th>
			</tr>
			<tr>
				<td style="width: 20%" align="left"></td>
				<td style="width: 60%" align="center"></td>
				<td style="width: 20%" align="right">
					<a href="Updating-This-Document.html" title="Updating This Document">
						<img alt="Next" border="0" src="../images/next.gif"/>
					</a>
				</td>
			</tr>
			<tr>
				<td style="width: 20%" align="left" valign="top"></td>
				<td style="width: 60%" align="center"></td>
				<td style="width: 20%" align="right" valign="top">Updating This Document</td>
			</tr>
		</table><hr/>
		<p>Welcome to the 
			<a href="http://eclipse.org/sphinx" target="sphinx_external">Eclipse Sphinx</a> Wiki page. Sphinx is an integrated modeling tool platform that eases the development of IDE-like tool support for modeling languages used in software and systems development.
		</p>
		<h2 id="Developer_Resources">Developer Resources</h2>
		<p>This section links to resources targeted to developers of Sphinx, i.e, committers and contributors who want to help developing the Sphinx platform itself.</p>
		<table>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/environment" title="Sphinx/environment" target="sphinx_external">Development Environment Setup</a>
				</td>
				<td>Setup of an Eclipse environment for developing Sphinx.</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/guidelines" title="Sphinx/guidelines" target="sphinx_external">Development Guidelines</a>
				</td>
				<td>Guidelines for Sphinx developers. Please read before committing code!</td>
			</tr>
			<tr>
				<td>
					<a href="http://projects.eclipse.org/projects/modeling.sphinx/developers" target="sphinx_external">Project Leads &amp; Committers</a>
				</td>
				<td>List of Sphinx project leads and committers.</td>
			</tr>
			<tr>
				<td>
					<a href="https://dev.eclipse.org/mailman/listinfo/sphinx-dev" target="sphinx_external">Developer Mailing List </a>
				</td>
				<td>Mailing list for developer questions and discussions: sphinx.dev@eclipse.org</td>
			</tr>
			<tr>
				<td>
					<a href="http://www.eclipse.org/projects/project-plan.php?projectid=modeling.sphinx" target="sphinx_external">Planning</a>
				</td>
				<td>Planning information for next Sphinx release.</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/stories" title="Sphinx/stories" target="sphinx_external">User stories</a>
				</td>
				<td>User stories of things that are currently under development in Sphinx.</td>
			</tr>
			<tr>
				<td>
					<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced;order=Importance;bug_status=NEW;bug_status=ASSIGNED;bug_status=REOPENED;product=Sphinx" target="sphinx_external">Open Bugs</a>
				</td>
				<td>Current list of Sphinx bugs - or, 
					<a href="https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Sphinx&amp;amp;version=0.8.0&amp;amp;rep_platform=All&amp;amp;op_sys=All" target="sphinx_external">Open a new bug for Sphinx</a>
				</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/builds" title="Sphinx/builds" target="sphinx_external">Builds </a>
				</td>
				<td>Inspect Sphinx builds at 
					<a href="https://hudson.eclipse.org/sphinx" target="sphinx_external">Hudson (HIPP) instance for Sphinx</a> and download resulting artifacts.
				</td>
			</tr>
			<tr>
				<td>
					<a href="http://www.eclipse.org/projects/ip_log.php?projectid=modeling.sphinx" target="sphinx_external">IP Log</a>
				</td>
				<td>IP log of Sphinx.</td>
			</tr>
		</table>
		<h2 id="User_Information">User Information</h2>
		<p>This section links to information destinated to users of Sphinx, i.e, adopters who want to use the Sphinx platform to build modeling tools or applications upon it.</p>
		<table>
			<tr>
				<td>
					<a href="http://eclipse.org/sphinx/download.php" target="sphinx_external">Downloads</a>
				</td>
				<td>Update sites and downloads of latest Sphinx releases, recent builds for upcoming releases and earlier versions of Sphinx.</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/Adopter_environment_setup" title="Sphinx/Adopter environment setup" target="sphinx_external">Adopter Environment Setup</a>
				</td>
				<td>Setup of an Eclipse environment for using Sphinx to develop modeling tools or applications.</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/architecture" title="Sphinx/architecture" target="sphinx_external">Architecture</a>
				</td>
				<td>An overview of Sphinx' architecture, its components, dependencies, and PDE features.</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/digests" title="Sphinx/digests" target="sphinx_external">Feature Digests</a>
				</td>
				<td>Condensed descriptions and usage information about Sphinx features.</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/tutorials" title="Sphinx/tutorials" target="sphinx_external">Tutorials </a>
				</td>
				<td>Detailed guides and examples explaining how to achieve certain tasks with Sphinx.</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/guide" title="Sphinx/guide" target="sphinx_external">Developer Guide</a>
				</td>
				<td>Documentation of Sphinx concepts, APIs, extension points and their intended usages.</td>
			</tr>
			<tr>
				<td>
					<a href="https://wiki.eclipse.org/Sphinx/new_and_noteworthy" title="Sphinx/new_and_noteworthy" target="sphinx_external">New &amp; Noteworthy</a>
				</td>
				<td>New and noteworthy features in latest Sphinx releases.</td>
			</tr>
			<tr>
				<td>
					<a href="http://www.eclipse.org/forums/eclipse.sphinx" target="sphinx_external">Adopter Forum </a>
				</td>
				<td>Forum for asking questions, discussing ideas, finding answers.</td>
			</tr>
		</table><hr/>
		<table class="navigation" style="width: 100%;" border="0" summary="navigation">
			<tr>
				<td style="width: 20%" align="left"></td>
				<td style="width: 60%" align="center"></td>
				<td style="width: 20%" align="right">
					<a href="Updating-This-Document.html" title="Updating This Document">
						<img alt="Next" border="0" src="../images/next.gif"/>
					</a>
				</td>
			</tr>
			<tr>
				<td style="width: 20%" align="left" valign="top"></td>
				<td style="width: 60%" align="center"></td>
				<td style="width: 20%" align="right" valign="top">Updating This Document</td>
			</tr>
		</table>
	</body>
</html>